#include "Spriteconfig.h"
#include <STRING>
#include <fstream>

using namespace std; // cant remove this yet
class SpriteList
{
private:
	Spriteconfig* head;

public:
	int numItems2;
	SpriteList();
	//insert at beginning
	
	void load(char*);
	void save(char*);
	void traverse2( );
	bool isEmpty( );
	int GetNumItems( );
	bool IsInList( int );
	int IndexOf( int );
	bool IsInList2( int );
	Sprite &Find_Sprite_id(int d);
	Spriteconfig *Find_Sprite_id2(int d);
	int Find_Sprite_id( int d,int c );
	

	virtual ~SpriteList();


};